Subject: RE: [Sip] Escaping rules of SIP-URI userpart

From: "Sanjay Sinha \(sanjsinh\)" <[email-masked]>
Date: Thu, 28 Sep 2006 10:30:34 -0400

I have a related query about display name? if there is a reserved
character, like " ", inside the display name, (for example, "DEIDRE
"PHONE LADY" BROWN"), should that be escaped? 

Thanks
Sanjay

-----Original Message-----
From: Christer Holmberg (JO/LMF) [mailto:[email-masked]]

Sent: Thursday, September 28, 2006 9:35 AM
To: Markus Hofmann
Cc: [email-masked]; Juha Heinanen
Subject: RE: [Sip] Escaping rules of SIP-URI userpart

Hi Markus,

I know what section 19.1.2 says.

The issue is that I don't understand why that rule is needed. User=phone
means that the userpart shall be parsed as a telephone-subscriber, and
within a telephone-subscriber the "#" does not have any special meaning,
so there is no need to escape it. 

So, yes, you probably have to go with:

sip:[email-masked]

But, I see no reason why you should have to go with:

sip:[email-masked];user=phone

Instead you could use:

sip:[email-masked];user=phone

Regards,

Christer

> -----Original Message-----
> From: Markus Hofmann [mailto:[email-masked]]
> Sent: 28. syyskuuta 2006 16:28
> To: Christer Holmberg (JO/LMF)
> Cc: Juha Heinanen; [email-masked]
> Subject: Re: [Sip] Escaping rules of SIP-URI userpart
> 
> Hi Christer,
> 
> for time ago I was asked the question how to handle # in a user URI.
> 
> Paul Kyzivat wrote this:
> "
> Not quite. RFC 3261 section 19.1.2 says:
> 
>     The telephone-subscriber subset of the user component has special
>     escaping considerations.  The set of characters not reserved in 
> the
>     RFC 2806 [9] description of telephone-subscriber contains a number

> of
>     characters in various syntax elements that need to be escaped when
>     used in SIP URIs.  Any characters occurring in a 
> telephone-subscriber
>     that do not appear in an expansion of the BNF for the user rule 
> MUST
>     be escaped.
> 
> So you will have to go with: <sip:[email-masked]>".
> 
> I hope this helps.
> 
> Regards,
> Markus
> 
> 
> 
> Christer Holmberg (JO/LMF) wrote:
> > Hi,
> > 
> >>> If the userpart is parsed as telephone-subscriber, there
> is no such
> >>> thing as a fragment identifier in the userpart, so why
> can't "#" be
> >>> > unescaped in that case?
> >> i don't know what fragment identifier is, but most sip
> phones on the
> >> market do not escape # in request-uri userpart and i
> haven't noticed
> >> any problems associated with it.  so i suggest to allow #
> unescaped
> >> also in sip uri userparts.
> > 
> > I have also seen SIP nodes using # unescaped in the userpart, and I 
> > haven't heard of any problems.
> > 
> > Regards,
> > 
> > Christer
> > 
> > _______________________________________________
> > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP Protocol Use 
> > [email-masked] for questions on current sip Use 
> > [email-masked] for new developments on the application of sip
> 
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Thu, 28 Sep 2006 11:27:56 -0400

From: "Sanjay Sinha \(sanjsinh\)" <[email-masked]>

If the display name does not fall in the syntax "token" (which has a
narrow range of characters and has no escaping mechanism), it must be
quoted with "...".  Within "...", though, only '\' and '"' are
reserved, and must be represented by preceding them with '\'.  See RFC
3261 section 25.1 for the details.

Which characters are reserved depends on which part of the URI you are
talking about.

Dale